Search

Getting Started

Authentication

Authentication to REST API is based on the Oauth2 standard. Using of all API functions requires a valid Oauth2 bearer token. Expiry is set on server side and the mechanism to handle the expiry of the token is suggested to be handled gracefully on the client side.

The endpoint for aquiring the token is POST /oauth2/token. This endpoint provides authentication to all of the Maventa REST APIs.

Authenticate as a company

Authenticating requires a user_api_key and company_id. To create an account in testing, registrations can be done in Maventa Web UI.

Also you need a vendor_api_key. When you have registered a company account in testing, contact your integration contact point or Maventa support to convert your account into a partner account and create a vendor_api_key for you.

Call the POST /oauth2/token method with company credentials:

Notes:

Authenticate as an operator

Call the POST /oauth2/token method with operator credentials:

Error handling

The client should always handle any server/connection issues gracefully. Do not lock up or throw exceptions directly at your users. There can be both scheduled and unscheduled breaks in the service which should be handled on the client side, for example with messages like “Service unavailable, please try again later”.

Endpoints

Maventa REST API is technically split into multiple URLs:

Test environmentProduction environment

https://ax-stage.maventa.com/
https://receivables-stage.maventa.com/
https://validator-stage.maventa.com/
https://bling-stage.maventa.com

https://ax.maventa.com/
https://receivables.maventa.com/
https://validator.maventa.com/
https://bling.maventa.com

But you should not care about that too much, the split is only technical. The authentication between all the methods under all these URL endpoint is the same.

Back to top